Bug 11722 - animations and video watching aren't possible with an external monitor on a laptop
Summary: animations and video watching aren't possible with an external monitor on a l...
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Eric Anholt
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-25 09:13 UTC by unggnu
Modified: 2007-10-14 12:52 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg.conf (2.90 KB, text/plain)
2007-07-25 09:15 UTC, unggnu
no flags Details

Description unggnu 2007-07-25 09:13:20 UTC
I have checked the new Intel driver with the second Ubuntu Gutsy Live CD (Tribe 3)
which is shipped with the xserver-xorg-video-intel (2:2.1.0-1ubuntu1) driver
and Xorg 7.3 git.
It works fine with my external monitor (1680x1050) but it doesn't shut down the
LFP like the old i810-modesetting driver. It always show an extract of the external on the LFP (1366x768).
It is possible with xrandr to disable LFP (xrandr --output LVDS --off) but Video watching or 3D animations are still impossible because of huge lags and displaced output. It seems that the monitor was disabled but the graphic card doesn't realized that. I don't have this problems with videos with i810-modesetting since this disables the monitor in xorg.conf with MonitorLayout.
Comment 1 unggnu 2007-07-25 09:15:24 UTC
Created attachment 10884 [details]
xorg.conf
Comment 2 Wang Zhenyu 2007-08-06 06:56:17 UTC
x log?

Do you mean after disable lvds with xrandr, xv and 3d app can't work in your VGA output? what's the error?
Comment 3 unggnu 2007-08-06 08:29:29 UTC
I could play videos with xv but the image is cut in two parts (displaced) and the motions are blurry. 3D games or something like that have the same problem. Everything which has a movement make problems - it works but you can hardly see it or it looks very awfull. The same happens without disabling the LFP but it shouldn't happen after disabling. It seems that the graphic card/driver has problems with two screens or clone modus. If I use i810-modesetting driver with MonitorLayout CRT option I haven't this problem.
Comment 4 unggnu 2007-09-24 04:41:14 UTC
This seems to be fixed in current Ubuntu Gutsy Gibbon (xserver-xorg-video-intel 2:2.1.1-0ubuntu3). The problem with Clone mode is still there but this could be fixed through adding something like that to /etc/gdm/Init/Default:

#disable lfp if external monitor is connected
if xrandr | grep -q "VGA connected"
then
        xrandr --output LVDS --off
fi

Compiz works but it is very slow on 1680x1050 screen. Maybe it is fault of the weak i915 chip.
Comment 5 unggnu 2007-10-14 12:52:05 UTC
I don't know if the fix is applied upstream but the reason was the intel driver overlay fix to make xv work again with compiz.
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/111257
If I remove it I have the same problem like before.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.